C+
C NAME:
C	Time2Month
C PURPOSE:
C	Get integer month from 3-char month string
C CATEGORY:
C	gen/for/lib
C CALLING SEQUENCE:
	integer function Time2Month(cmon)
C INPUTS:
C	cmon		character*3	3-char month
C OUTPUTS
C	Time2Month	integer		integer month in 1,..,12
C CALLS:
C	uppercase
C PROCEDURE:
C MODIFICATION HISTORY:
C	OCT-2003, Paul Hick (UCSD/CASS; pphick@ucsd.edu)
C-
	    character	cmon*3

	character	Month(12)*3	/'JAN','FEB','MAR','APR','MAY','JUN','JUL','AUG','SEP','OCT','NOV','DEC'/
	character	c*3

	c = cmon
	call uppercase(c)

	Time2Month = 12
	do while (Time2Month .ge. 1 .and. Month(Time2Month) .ne. c)
	     Time2Month = Time2Month-1
	end do

	return
	end
